import RiiiverSDK

@objc(ServicePieceCoreSample)
class ServicePieceCoreSample: NSObject, ERServiceBlockExecutor {
    func execute(appletId: String, blockJsonString: String, preferenceJson: Dictionary<String, Any>?, inputJson: Dictionary<String, Any>?, completionHandler: @escaping ((Dictionary<String, Any>?, ERSDKError?) -> Void)) {
        print("ServicePieceCoreSample input:\(inputJson ?? [:]), preference:\(preferenceJson ?? [:])")

        var outputJson: Dictionary<String, Any>  = [:]
        if let inputJson = inputJson {
            // inputとして受け取った情報をそのまま次のPieceへ渡す
            // Input value goes through to the next piece as an output as it is
            outputJson["serviceSampleInfo"] = inputJson["sampleInfo"]
        }

        completionHandler(outputJson, nil)
    }
}
