//
//  StoreViewController.swift
//  sample
//
//  Created by CITIZEN Watch Co.,Ltd on 2019/10/30.
//  Copyright © 2019 CITIZEN Watch Co.,Ltd. All rights reserved.
//

import Foundation
import UIKit
import WebKit

class StoreViewController: UIViewController, ERSDKStoreWebViewDelegate {
    /// The web view for the Riiiver (iiiidea) Store. - iiideaStore用WebView
    @IBOutlet weak var webStore: WKWebView!
    
    override func viewDidLoad() {
        super.viewDidLoad()
    }
    
    override func viewWillAppear(_ animated: Bool) {
        // Web認証画面表示  -  Display the webview for the authentication.
        RiiiverSDKManager.shared.openStore(webView: webStore, delegate: self)
    }
    
    func onClose() {
        self.dismiss()
    }
    
    func onError(_ err: Error) {
        
    }
    
    @IBAction func back(_ sender: Any) {
        self.dismiss()
    }
    
    private func dismiss() {
        if let sampleViewController = self.presentingViewController as? SampleViewController {
            sampleViewController.isReload = true
        }
        self.dismiss(animated: true, completion: nil)
    }
    
}
