シチズン時計株式会社（以下「弊社」といいます）が運営する本ディベロッパーサイト（[http://developer.riiiver.com](http://developer.riiiver.com)）において提供される、Riiiver API、Riiiver SDK及びこれらに関連して提供されている開発用ウェブサービス、アプリ、ソフトウェア、Riiiverコンテンツ等（以下総称して「本Riiiver開発ツール」といいます。）をご利用される前、そして本ディベロッパーサイトにおいて会員登録を行う前に、この開発者契約(以下「本契約」といいます)をお読みになり、十分にその内容をご検討ください。お客様が、本ディベロッパーサイト上の弊社所定の手続きにしたがって本契約に同意することにより、ディベロッパーとして、本契約の条項が適用されます。なお、本文中に特に定めのない限り、本契約における用語の定義は第16条に従います。

お客様が同意することにより、本契約はディベロッパーと弊社との間で法的拘束力を生じます。本契約において、「ディベロッパー」とは、本Riiiver開発ツールを利用してRiiiverサービスで利用されるPieceの開発を行うものを意味します。お客様が法人に所属する個人であり当該法人のために本契約を締結する場合、ディベロッパーという用語には、お客様個人と当該法人が含まれ、連帯して、本契約に拘束されることに同意するものとし、お客様は、自ら（法人のためになす場合は自ら及び当該法人）が、ディベロッパーとして本契約を締結するために十分な能力を有し、必要なすべての権限を有していることを表明し保証するものとします。

お客様が本契約上のディベロッパーの権利義務内容に同意しない場合、本ディベロッパーサイトにディベロッパー会員登録をすることはできません。この場合、本Riiiver開発ツールへのアクセス、ご利用は禁止され、本契約上のディベロッパーとしての権利は一切付与されません。

本契約は、弊社の定める[Riiiverサービス利用規約](https://riiiver.com/terms/)（以下「本利用規約」といいます）に追加して条件を定めるものです。本契約と本利用規約との間に矛盾がある場合、本契約の条項が優先するものといたします。

***

#### ディベロッパー会員登録 {.numeric.left}

(a)	お客様が、ディベロッパーとして本Riiiver開発ツールを利用するためには、本ディベロッパーサイトにてディベロッパー会員登録を行い、有効な電子メールアドレス、携帯電話番号及びその他弊社の指定する連絡先に関する情報を弊社に提供していただく必要があります。お客様は､ (ⅰ) 正確､完全かつ最新の情報を弊社に提供し､また (ⅱ) 他者の情報を使用せず､ (iii) 自らのユーザー名及びパスワードを含むディベロッパー会員登録のアカウント情報を他者に利用させないことに同意するものとします。弊社は、本ディベロッパーサイトの運営のため、自らの判断により、お客様の登録内容を適切なものに変更するよう要請することができ、さらに、登録を拒否することや、取り消すことができるものとします。

(b)	弊社は、その裁量により、いつでも、通知することなく、何ら理由なく、また責任を負うことなく、ある特定のディベロッパーに対し、本Riiiver開発ツールへのアクセスを制限することができます。弊社は、ディベロッパーによる本Riiiver開発ツールへのアクセス、ご利用、データのアップロード前に、追加条項への合意をお願いすることがあります。かかる追加条項は、その対象となった本Riiiver開発ツールに関して、本契約の追加条件を定めるものです。この追加条項と、本契約の条項との間に矛盾がある場合、かかる追加条項が優先されます。なお、優先適用されるのは、その対象となった本Riiiver開発ツールについてのみとします。

***

#### ディベロッパーに対する使用許諾 {.numeric.left}

(a)	弊社は、ディベロッパーに対し、本契約の条項に従い、本契約有効期間中、Riiiver サービスにおいて利用することに限定し、Pieceの開発、試験、使用、保守及び配布をする目的で、本Riiiver開発ツールを利用することのできる、非独占的かつ譲渡不能の使用許諾権(再使用許諾権なし)を付与します。

(b)	前項及びその他本契約に明示の規定がある場合を除き、ディベロッパーに対し、弊社の知的財産権は、明示黙示を問わず、使用許諾または譲渡されるものではありません。

(c)	本契約に明示の規定がある場合を除き、ディベロッパーは、次のいずれの事項も行ってはならないものとします。

1. 本契約に抵触する方法または明示的に承認されていない方法により、本Riiiver開発ツール、その他Riiiverサービスを利用するために必要なシステム、ネットワークまたはサービスにおける認証手続またはセキュリティ対策を回避または回避しようとすること
2. 本Riiiver開発ツールに含まれるソースコード、アルゴリズム、プロセスまたは手続きを取得し、または本Riiiver開発ツールを修正、逆コンパイル、リバースエンジニア、解読、または逆アセンブルすること
3. 本Riiiver開発ツール、Iiidea、Pieceを利用し、または第三者に開示すること
4. 本Riiiver開発ツールを不法行為、脅迫、嫌がらせ、わいせつまたは他者の権利侵害の目的のため利用すること
5. 本Riiiver開発ツールの著作権またはその他の権利表示を削除、変更、修正または覆い隠すこと
6. 上記のいずれかを第三者に行わせ、その行為を幇助し、または許可すること


***

#### 提出及び承認 {.numeric.left}

(a)	Riiiverサービス上のPieceのマーケットまたはディレクトリ(以下「マーケット」といいます)において、ディベロッパーが、その開発したPiece（以下「開発Piece」といいます）の使用、宣伝、配布、販売または公表（以下「Riiiverサービスにおける利用」といいます）を希望する場合は、Riiiverサービスに適合するか否かを審査するため、事前に開発Pieceを弊社に提出し、弊社の承認を得るものとします。ディベロッパーは、弊社の承認を得ることなく、開発PieceのRiiiverサービスにおける利用を行わないものとします。ディベロッパーは、弊社がRiiiverサービス、本契約及びその他適用法令との適法性、妥当性を検討できるように、弊社からの依頼に応じ、弊社がアクセスして開発Pieceの内容、機能または動作等に関しRiiiverサービスにおいて提供できるか否かの確認（以下「動作確認」といいます）ができるようにするものとします。弊社は、承認の前後を問わず、何時でも開発Pieceの動作確認をすることができ、ディベロッパーは、この動作確認に協力するものとします。

(b)	ディベロッパーは、開発PieceのRiiiverサービスにおける利用開始の前に、自らにおいて、それぞれの開発Pieceの動作確認をするものとします。ディベロッパーは、弊社からの要求事項を満たすための変更を含め、Pieceの開発及び動作確認に関連するすべての費用について単独で責任を負うものとします。

(c)	弊社は、独自の判断で、理由の如何を問わず、開発PieceについてRiiiverサービスにおける利用を承諾するか否かを決定することができるものとします。ただし、弊社が承諾した場合であっても、弊社は、開発Pieceの適法性や、それが第三者の権利を侵害しないことを認めるものではありません。従って、かかる適法性や第三者の権利を侵害しないことについては、ディベロッパーが単独で責任を負うものとします。また、弊社は、かかる承諾をすることにより、開発Pieceをマーケットその他の方法で、配布や広告宣伝等をする義務を負うものではありません。ディベロッパーは、弊社の書面による事前同意を得ることなく、弊社やRiiiverサービスと提携、またはディベロッパーとして登録その他権限を付与されている旨などを公表しないものとします。

(d)	ディベロッパーが、弊社による承認後、開発Pieceの変更を希望する場合は、弊社にその旨を通知するとともに、変更したPieceを再提出し、その承認を得るものとします。

(e)	ディベロッパーは、弊社が承認した後であっても、弊社は、その裁量により、いつでも、通知することなく、何ら理由なく、また責任を負うことなく、かかる承認を取り消し、マーケットから開発Pieceを削除することができることを了承し、合意します。

***

#### 所有権 {.numeric.left}

(a)	本契約に定める使用許諾を除き、本Riiiver開発ツール、Piece及びIiideaに関する知的財産権その他如何なる権利も、ディベロッパーに対し移転しないものとします。

(b)	弊社は、いずれの当事者が改良したかにかかわらず、本Riiiver開発ツール、Piece及びIiideaに対するあらゆる修正、翻案、派生物、改良等に関する全ての権利、権原及び利益（以下「本改良に関する権利」といいます。）を有するものとします。ディベロッパーは、本改良に関する権利が、弊社に自動的に帰属しない場合は、かかる権利を弊社に移転するものとし、その為に必要な書類の作成等弊社に協力するものとします。ディベロッパーは、如何なる著作者人格権（その従業員、請負業者等が有する著作者人格権を含む）も行使又は行使させないことに合意します。

(c)	ディベロッパーは、弊社または第三者が有する権利を除き、その開発Pieceにおける権利を有するものとします。

***

#### ディベロッパーからの使用許諾 {.numeric.left}

(a)	ディベロッパーは、弊社及びその関連会社に対し、開発Pieceを使用、表示、開示、実施、頒布、販売、宣伝、修正、翻案、改良、その他利用をする為に必要な無償の非独占的、永久的、取消不能、再使用許諾可能な全世界における権限を許諾するものとします。かかる権限には、この開発Pieceを自らあるいは他者の開発したPieceその他のものと組み合わせる権限、及びかかる組み合わせたものを利用する権限を含むものとします。

(b)	ディベロッパーは、弊社及びその関連会社に対し、ディベロッパーよるRiiiverサービスの利用を公表する目的で、また開発Pieceの開発者を公表する目的で、ディベロッパーの名称、商号、ロゴ、商標を使用し表示する為に必要な無償の非独占的、永久的、取消不能、再使用許諾可能な全世界における権限を許諾するものとします。ただし、弊社及びその関連会社は、かかる使用または表示をする義務を負うものではありません。

(c)	弊社が第3条の承認を撤回した場合、または開発Pieceをマーケットから削除した場合であっても、本条により付与された使用許諾には何ら影響を与えないものとします。

***

#### 競合技術及びフィードバック {.numeric.left}

本契約のいかなる規定も、ディベロッパーが開発、生産、マーケティングまたは頒布する他の製品、ソフトウェアまたは技術と、同一または類似あるいは競合する製品、ソフトウェアまたは技術を、弊社が開発、取得、ライセンス、マーケティング、販売促進または頒布することを妨げるものではありません。書面による別段の合意がない限り、弊社は、本契約、本Riiiver開発ツール、Piece、Iiidea、その他Riiiverサービスに関連して、ディベロッパーが弊社に対し提供する情報及び提案等を、無償で自由に使用することができるものとします（弊社及びその関連会社が無制限に製造し、使用し、輸入し、販売の申し出をし、販売し、複製し、頒布し、修正し、翻案し、派生物を作成し、表示し、実施し、及びその他利用するための、無償の非独占的、永久的、取消不能、再使用許諾可能な全世界における権限の付与を含みます）。


#### 利用料 {.numeric.left}

(a)	弊社は、Riiiver SDKを利用して作成された開発Pieceに関して、第３条に記載の承認手続きの際に、ディベロッパーに利用料を支払って頂くことがあります。かかる利用料については、弊社が、随時定めるものとし、[https://riiiver.com/pricing/](https://riiiver.com/pricing/)に料金を掲示するか、または弊社が別途通知します。

(b)	弊社は、前項に定める他、本Riiiver開発ツール、Piece、Iiidea、その他Riiiverサービスの利用に関して、利用料を請求させて頂く権利を留保します。従って、弊社は、その裁量により、いつでも、それら利用料の請求を開始させて頂くことがあります。当該利用料の支払いに同意されない場合は、ディベロッパーは、本契約を解除するか、または利用料の対象となるものの利用を中止するものとし、それ以外に弊社に対し何らの請求もしないことに同意するものとします。

***

#### 個人情報保護方針 {.numeric.left}

本契約及びその他Riiiverサービスに関連して、弊社が取得または利用するディベロッパーの個人情報は、全て[Riiiverサービス個人情報保護方針](http://riiiver.com/privacy/)に従い取り扱われることに同意します。

***

#### ディベロッパーの保証 {.numeric.left}

ディベロッパーは、(a)本契約に関連してディベロッパーが弊社に提供するすべての情報は、真正かつ正確であること、(b)開発Pieceはディベロッパーのオリジナルの創作物であり、ディベロッパーは、開発Pieceを開発、使用及び頒布等するために必要なすべての権利を有し、また開発Pieceに関する権利を弊社に対し本契約に定めるとおり許諾する権利を有していること、(c)開発Pieceは、いかなる第三者の知的財産権及びその他権利も侵害しないこと、(d)ディベロッパー及び開発Pieceは、すべての適用法令を遵守するものであることを表明し、保証します。

***

#### 追加条件 {.numeric.left}

(a)	本契約の他の規定にかかわらず、（i）本Riiiver開発ツール、Piece及びIiideaには第三者のソフトウェアを含む可能性があること、及び（ii）かかる第三者のソフトウェアの使用は、[https://riiiver.com/libraries/](https://riiiver.com/libraries/)に記載されている第三者のソフトウェアに適用される第三者のライセンスの条件に従うことが必要であること、ならびに、（iii）本契約におけるライセンス許諾及び使用条件は、かかる第三者のソフトウェアには適用されないことを了承しこれに同意するものとします。

(b)	ディベロッパーは、本ディベロッパーサイトにアップロードした開発Piece、コンテンツ、その他情報は、プラットフォームの技術的問題またはメンテナンスの為、弊社のビジネス上理由の為、またはその他理由の為に、弊社が、その裁量により、いつでも、削除することがあることを了承し、それについて弊社に対し異議をとなえないものとします。弊社は、かかる削除にあたり、ディベロッパーに対して、（i）通知する義務、（ii）再アップロードや復元する義務、（iii）損害を賠償する義務、及び（iv）ディベロッパーが既に支払った金額を返還する義務を負わないことにディベロッパーは同意します。

***

#### 契約期間及び解除 {.numeric.left}

(a)	本契約は、いずれかの当事者が解除するまで効力を有します。

(b)	ディベロッパーは、本Riiiver開発ツール、Piece及びIiideaの使用を中止し、その旨を弊社に通知することにより、本契約を解除することができます。弊社は、その裁量により、いつでも、何ら理由なく、また何らの責任を負うことなく、ディベロッパーの本Riiiver開発ツール、Piece及びIiideaの利用を禁止し、または本契約を解除することができます。

(c)	理由の如何を問わず本契約が終了した場合、ディベロッパーは、本Riiiver開発ツール、Piece及びIiidea等のすべての利用を直ちに中止し、それらを返却または破棄するものとします。第4条、第5条、第6条、第11条(c)、第12条、第13条、第14条、第15条及び第16条の規定、ならびに支払義務などディベロッパーが契約終了時に既に負っている本契約に基づく債務については、本契約の終了後も存続するものとします。

***

#### 責任の制限 {.numeric.left}

本契約に関連する弊社のディベロッパーに対する責任（債務不履行責任及び不法行為責任を含みます）は、直接かつ通常の損害の賠償に限定されるものとし、賠償金額は、合計１万円を上限とするものとします。ます。

***

#### 補償 {.numeric.left}

(a)	ディベロッパーは、ディベロッパーの本契約に関連する行為（(i)本契約の違反、(ii)本Riiiver開発ツール、Piece、Iiidea、またはその他本契約に関連するものの利用、(iii)本契約に関連する開発行為などを含みます）に起因または関連して、第三者から請求や異議がある場合は、弊社、その関連会社、それらの役員、従業員、代理人、ライセンサー及び委託先等が損害を被らないように補償(合理的な弁護士費用の補償を含みます)するものとします。

(b)	弊社は、自ら弁護士を選任しその権利の防御に参加することができるものとします。ディベロッパーは弊社の事前の書面による同意なく、いかなる方法であれ弊社またはその関連会社の権利に影響を及ぼす和解契約または類似の契約を第三者と締結してはなりません。

***

#### 保証の不存在 {.numeric.left}

弊社は、ディベロッパーに対し、その裁量で、本Riiiver開発ツール、Piece及びIiideaを現状有姿かつ提供が可能な場合に限り、そのままの状態で提供するものであり、明示的であるか、黙示的であるか、または法律に基づくものであるかを問わず、いかなる種類の表明または保証（第三者の権利を侵害しないこと、商業性があること、及び特別の目的の為に適していることなどに関する表明保証を含みます）も行うものではありません。弊社は、本Riiiver開発ツール、Piece及びIiideaが、エラーを含むものでなく、正確で、信頼性があり、有効なものであることについて表明または保証をするものではありません。ディベロッパーは、本Riiiver開発ツール、Piece及びIiideaを自らの判断とリスクで利用するものとし、弊社の本契約の履行について不服がある場合は、これらの利用を中止して頂くことが、ディベロッパーの唯一の救済手段となります。

***

#### 雑則 {.numeric.left}

(a)	両当事者は、独立の契約者であり、本契約は、パートナーシップ、合弁会社または代理関係を生じさせるものではありません。いずれの当事者も、他方当事者を拘束し、または、他方当事者に義務を負わせる権限を有しません。

(b)	本契約は、日本法に準拠し解釈されるものとします。国際物品売買契約に関する国連条約は、本契約には適用されないものとします。本契約に関連して生じる一切の紛争（契約に基づかない紛争を含みます）は、東京地方裁判所を専属的合意管轄裁判所とします。

(c)	本契約は、弊社による事前の書面による同意なしに、(全部または一部かを問わず、また自発的または非自発的か、または法律によるものかを問わず)、譲渡または移転することはできません。かかる同意なくなされた譲渡または移転は、無効であり効力を有しません。

(d)	ディベロッパーは、(a) 自らが、米国政府の禁輸措置の対象となる国または米国政府によりテロ支援国として指定された国に所在していないこと、また(b) 自らが、禁止または制限される当事者として米国政府のリストに記載されていないことを表明し、保証するものとします。ディベロッパーは本契約に関連する全ての適用される輸出管理法令を遵守するものとします。

(e)	本契約は、その主題に関する両当事者間の完全合意を構成し、本契約に抵触するすべての従前の合意は口頭書面を問わず効力を有しません。本契約のいずれかの条項の追加または削除もしくは変更は、書面化され、弊社の権限ある者により署名されない限り、弊社を拘束しません。弊社は、その裁量により、いつでも、本契約の条件を変更する権利を留保しています。

***

#### 定義 {.numeric.left}

「Iiidea」とは、Riiiverサービスにおいて、Pieceを使用して開発されたアプリケーションを意味します。

「Piece」とは、パーソナルコンピューター、スマートフォン、タブレット、時計その他のデバイス、またはRiiiver APIを使用するプラットフォームにおいて、他のPieceと組み合わせてアプリを開発するように設計されたアプリケーションを意味します。なお、ディベロッパーが、その開発したPieceを特に「開発Piece」といいますが、Pieceという用語には開発Pieceも含まれます。

「Riiiver API」とは、ディベロッパーサイトを通じて、弊社が提供する各プログラム・インターフェースを意味し、随時、弊社により修正されることがあります。

「Riiiver SDK」とは、弊社がディベロッパーサイトを通じて「ディベロッパー」に提供するソフトウェア開発キットの各々を意味し、随時、弊社により修正されることがあります。

「Riiiverコンテンツ」とは、弊社がディベロッパーサイトを通じて提供するすべてのマニュアル、ユーザガイド、仕様、技術情報、ウェブページ、コンテンツ、データ及び情報または他の文書を意味し、これらは弊社により随時変更されます。なお、Riiiver API及びRiiiver SDKは除外されます。

「Riiiverサービス」とは、弊社が提供する、プラットフォーム、これに関連して提供されるアプリ、コンテンツ、機能、サービスまたは製品等をいいます。

「ディベロッパーサイト」とは、[http://developer.riiiver.com/](http://developer.riiiver.com/)配下に配置されるウェブサイト、フォーラム、ディスカッション・エリア、支援サービスなど、弊社が提供するRiiiver ディベロッパー用のオンラインサービスを意味し、これらは弊社により随時変更されます。

「知的財産権」とは、特許権、著作権、商標権、企業秘密及び他の知的財産権を意味します。

「適用法令」とは、適用される国内外の法律、規則、規制及び政府機関の命令等を意味します。

「[プラットフォーム](http://riiiver.com/)」とは、弊社または弊社の関連会社のシステム、ネットワークまたはサービス（Riiiver SDK、Riiiver API及びディベロッパーサイトを含む）で、ディベロッパーが利用可能またはPiece若しくはIiideaが利用可能なプラットフォームを意味します。


***

初版発効日：2019年6月14日
最終改正日：2019年6月14日